> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Settings



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/categories/{categoryId}/settings
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/categories/{categoryId}/settings:
    patch:
      tags:
        - Workspace Category Settings
      summary: Patch Settings
      operationId: WorkspaceCategorySettingsController_patchSettings_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: categoryId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchWorkspaceCategorySettingsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatchWorkspaceCategorySettingsResponseDto'
components:
  schemas:
    PatchWorkspaceCategorySettingsDto:
      type: object
      properties:
        expectedRevision:
          type: number
        ops:
          type: array
          items:
            $ref: '#/components/schemas/PatchWorkspaceCategorySettingOperationDto'
        productTypeCodeOps:
          type: array
          items:
            $ref: '#/components/schemas/PatchWorkspaceProductTypeCodeOperationDto'
        categoryCodeOps:
          type: array
          items:
            $ref: '#/components/schemas/PatchWorkspaceCategoryCodeOperationDto'
      required:
        - expectedRevision
        - ops
    PatchWorkspaceCategorySettingsResponseDto:
      type: object
      properties:
        revision:
          type: number
      required:
        - revision
    PatchWorkspaceCategorySettingOperationDto:
      type: object
      properties:
        productTypeId:
          type: string
        itemColumnId:
          type: string
        isActive:
          type: boolean
      required:
        - productTypeId
        - itemColumnId
        - isActive
    PatchWorkspaceProductTypeCodeOperationDto:
      type: object
      properties:
        productTypeId:
          type: string
        code:
          type: string
          nullable: true
          minLength: 1
      required:
        - productTypeId
        - code
    PatchWorkspaceCategoryCodeOperationDto:
      type: object
      properties:
        categoryId:
          type: string
        code:
          type: string
          nullable: true
          minLength: 1
      required:
        - categoryId
        - code

````